Skip to content
中文

Provider Notes

This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. A. Generate music This section contains endpoint-specific behavior, parameters, or usage notes for this API.

This section contains endpoint-specific behavior, parameters, or usage notes for this API. post /suno/generate

Request Body

Note: mv must be chirp-auk. task must be gen_stem stem_task must be two stem_type_group_name must be Two continue_clip_id is the clip_id from step A Can be used across accounts. Billing: one generation charge per task.

{ "task": "gen_stem", "generation_type": "TEXT", This section contains endpoint-specific behavior, parameters, or usage notes for this API. "mv": "chirp-auk", "prompt": "", "make_instrumental": true, "continue_clip_id": "4720ad51-6d31-417c-a3a7-346b0b99abbc", "continued_aligned_prompt": null, "continue_at": null, "stem_type_id": 91, "stem_type_group_name": "Two", "stem_task": "two" }

Response Body

{ "clips": [ { "id": "5f3587e2-75fb-4c36-84b3-3ec113897a4c", "video_url": "", "audio_url": "", "major_model_version": "", "model_name": "", "metadata": { "tags": "Chinese", This section contains endpoint-specific behavior, parameters, or usage notes for this API. "stem_from_id": "a624123d-22cc-4d4d-bf28-78d312f61597", "type": "stem", "duration": 217.24 }, "is_liked": false, "user_id": "58387c47-dc80-466f-a7b1-a2eed61c24fb", "display_name": "FluidXylophone2289", "handle": "fluidxylophone2289", "is_handle_updated": false, "avatar_image_url": "https://cdn1.suno.ai/defaultPink.webp", "is_trashed": false, "created_at": "2024-12-25T16:51:36.619Z", "status": "queued", "title": "Riding on the Back of the Dream Dragon - Vocals", "play_count": 0, "upvote_count": 0, "is_public": false }, { "id": "9c85d619-4cac-4561-8fa3-604c116fa1c5", "video_url": "", "audio_url": "", "major_model_version": "", "model_name": "", "metadata": { "tags": "Chinese", "prompt": "", "stem_from_id": "a624123d-22cc-4d4d-bf28-78d312f61597", "type": "stem", "duration": 217.24 }, "is_liked": false, "user_id": "58387c47-dc80-466f-a7b1-a2eed61c24fb", "display_name": "FluidXylophone2289", "handle": "fluidxylophone2289", "is_handle_updated": false, "avatar_image_url": "https://cdn1.suno.ai/defaultPink.webp", "is_trashed": false, "created_at": "2024-12-25T16:51:36.625Z", "status": "queued", "title": "Riding on the Back of the Dream Dragon - Instrumental", "play_count": 0, "upvote_count": 0, "is_public": false } ] }

This section contains endpoint-specific behavior, parameters, or usage notes for this API. get /suno/feed/5f3587e2-75fb-4c36-84b3-3ec113897a4c,9c85d619-4cac-4561-8fa3-604c116fa1c5 Response Body [ { "audio_url": "https://cdn1.suno.ai/5f3587e2-75fb-4c36-84b3-3ec113897a4c.mp3", "avatar_image_url": "https://cdn1.suno.ai/defaultPink.webp", "created_at": "2024-12-25T16:51:36.619Z", "display_name": "FluidXylophone2289", "handle": "fluidxylophone2289", "id": "5f3587e2-75fb-4c36-84b3-3ec113897a4c", "image_large_url": "https://cdn2.suno.ai/image_large_5f3587e2-75fb-4c36-84b3-3ec113897a4c.jpeg", "image_url": "https://cdn2.suno.ai/image_5f3587e2-75fb-4c36-84b3-3ec113897a4c.jpeg", "is_handle_updated": false, "is_liked": false, "is_public": false, "is_trashed": false, "major_model_version": "", "metadata": { "duration": 217.24, This section contains endpoint-specific behavior, parameters, or usage notes for this API. "stem_from_id": "a624123d-22cc-4d4d-bf28-78d312f61597", "tags": "Chinese", "type": "stem" }, "model_name": "", "play_count": 0, "status": "complete", "title": "Riding on the Back of the Dream Dragon - Vocals", "upvote_count": 0, "video_url": "https://cdn1.suno.ai/5f3587e2-75fb-4c36-84b3-3ec113897a4c.mp4" }, { "audio_url": "https://cdn1.suno.ai/9c85d619-4cac-4561-8fa3-604c116fa1c5.mp3", "avatar_image_url": "https://cdn1.suno.ai/defaultPink.webp", "created_at": "2024-12-25T16:51:36.625Z", "display_name": "FluidXylophone2289", "handle": "fluidxylophone2289", "id": "9c85d619-4cac-4561-8fa3-604c116fa1c5", "image_large_url": "https://cdn2.suno.ai/image_large_9c85d619-4cac-4561-8fa3-604c116fa1c5.jpeg", "image_url": "https://cdn2.suno.ai/image_9c85d619-4cac-4561-8fa3-604c116fa1c5.jpeg", "is_handle_updated": false, "is_liked": false, "is_public": false, "is_trashed": false, "major_model_version": "", "metadata": { "duration": 217.24, "prompt": "", "stem_from_id": "a624123d-22cc-4d4d-bf28-78d312f61597", "tags": "Chinese", "type": "stem" }, "model_name": "", "play_count": 0, "status": "complete", "title": "Riding on the Back of the Dream Dragon - Instrumental", "upvote_count": 0, "video_url": "https://cdn1.suno.ai/9c85d619-4cac-4561-8fa3-604c116fa1c5.mp4" } ]